libebook::LITStream Class Reference documentation

Classes | Public Member Functions | Private Member Functions | Private Attributes | List of all members
libebook::LITStream Class Reference

`#include <LITStream.h>`

Inheritance diagram for libebook::LITStream:

## Classes
struct | Impl

## Public Member Functions
| LITStream (const RVNGInputStreamPtr_t &input)
virtual | ~LITStream ()
virtual bool | isStructured ()
virtual unsigned | subStreamCount ()
virtual const char * | subStreamName (unsigned id)
virtual bool | existsSubStream (const char *name)
virtual librevenge::RVNGInputStream * | getSubStreamByName (const char *name)
virtual librevenge::RVNGInputStream * | getSubStreamById (unsigned id)
virtual const unsigned char * | read (unsigned long numBytes, unsigned long &numBytesRead)
virtual int | seek (long offset, librevenge::RVNG_SEEK_TYPE seekType)
virtual long | tell ()
virtual bool | isEnd ()

## Private Member Functions
| LITStream (const LITStream &other)
LITStream & | operator= (const LITStream &other)

## Private Attributes
std::unique_ptr< Impl > | m_impl

## Constructor & Destructor Documentation

## ◆ LITStream() [1/2]

libebook::LITStream::LITStream | ( | const LITStream & | other | ) |
| private

## ◆ LITStream() [2/2]

libebook::LITStream::LITStream | ( | const RVNGInputStreamPtr_t & | input | ) |

## ◆ ~LITStream()

libebook::LITStream::~LITStream | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ existsSubStream()

bool libebook::LITStream::existsSubStream | ( | const char * | name | ) |
| virtual

## ◆ getSubStreamById()

librevenge::RVNGInputStream * libebook::LITStream::getSubStreamById | ( | unsigned | id | ) |
| virtual

## ◆ getSubStreamByName()

librevenge::RVNGInputStream * libebook::LITStream::getSubStreamByName | ( | const char * | name | ) |
| virtual

## ◆ isEnd()

bool libebook::LITStream::isEnd | ( |  | ) |
| virtual

## ◆ isStructured()

bool libebook::LITStream::isStructured | ( |  | ) |
| virtual

## ◆ operator=()

LITStream & libebook::LITStream::operator= | ( | const LITStream & | other | ) |
| private

## ◆ read()

const unsigned char * libebook::LITStream::read | ( | unsigned long | numBytes,
|  | unsigned long & | numBytesRead
| ) |  |
| virtual

## ◆ seek()

int libebook::LITStream::seek | ( | long | offset,
|  | librevenge::RVNG_SEEK_TYPE | seekType
| ) |  |
| virtual

## ◆ subStreamCount()

unsigned libebook::LITStream::subStreamCount | ( |  | ) |
| virtual

## ◆ subStreamName()

const char * libebook::LITStream::subStreamName | ( | unsigned | id | ) |
| virtual

## ◆ tell()

long libebook::LITStream::tell | ( |  | ) |
| virtual

## Member Data Documentation

## ◆ m_impl

std::unique_ptr<Impl> libebook::LITStream::m_impl
| private

Referenced by isEnd(), read(), seek(), and tell().

The documentation for this class was generated from the following files:

- LITStream.h
- LITStream.cpp